Subject: Re: NEW ISSUE: Monitoring Connections text

From: Mark Nottingham <[email-masked]>
Date: Wed, 5 Mar 2008 14:52:34 +1100

I've raised this as an editorial issue <http://www3.tools.ietf.org/wg/httpbis/trac/ticket/108 
 > to clarify the text about "monitoring the network connection for an  
error status".

Cheers,

On 22/11/2007, at 2:50 AM, Bjoern Hoehrmann wrote:

>
> Hi,
>
>  Section "8.2.2 Monitoring Connections for Error Status Messages" has:
>
>   An HTTP/1.1 (or later) client sending a message-body SHOULD monitor
>   the network connection for an error status while it is transmitting
>   the request. If the client sees an error status, it SHOULD
>   immediately cease transmitting the body. If the body is being sent
>   using a "chunked" encoding (section 3.6), a zero length chunk and
>   empty trailer MAY be used to prematurely mark the end of the  
> message.
>   If the body was preceded by a Content-Length header, the client MUST
>   close the connection.
>
> This is somewhat confusing, it uses RFC 2119 keywords even though it
> really just makes statements of fact (if you cease transmitting, you
> cannot meaningfully maintain the connection) and it's unclear whether
> clients may still send a non-empty trailer. Better would be e.g.
>
>   A client sending a message-body SHOULD monitor the network  
> connection
>   for an error status while it is transmitting the request. If the
>   client sees an error status, it SHOULD cease transmitting the body.
>   Unless the body is being sent using the "chunked" encoding the  
> client
>   MUST close the connection.
>
> regards,
> -- 
> Björn Höhrmann · mailto:[email-masked] · http://bjoern.hoehrmann.de
> Weinh. Str. 22 · Telefon: +49(0)621/4309674 · http://www.bjoernsworld.de
> 68309 Mannheim · PGP Pub. KeyID: 0xA4357E78 · http:// 
> www.websitedev.de/
>

--
Mark Nottingham     http://www.mnot.net/